0

On amazon server g2.2xlarge running ubuntu 14.04 I've tried to install Nvidia's digits. (after installing cuda, cudnn and caffe successfully)

But, When I try to run the file 'runme.sh' in the Digits-2.0 directory, I encounter the following error:

libdc1394 error: Failed to initialize libdc1394 PuTTY X11 proxy: unable to connect to forwarded X server: Network error: Connection refused

** (digits-devserver:12172): WARNING **: Could not open X display PuTTY X11 proxy: unable to connect to forwarded X server: Network error: Connection refused PuTTY X11 proxy: unable to connect to forwarded X server: Network error: Connection refused

(digits-devserver:12172): Gdk-CRITICAL **: gdk_cursor_new_for_display: assertion 'GDK_IS_DISPLAY (display)' failed Traceback (most recent call last): File "digits-devserver", line 39, in config.load_config('quiet') File "/mnt/yarin/digits/digits-2.0/digits/digits/config/load.py", line 147, in load_config option.apply() File "/mnt/yarin/digits/digits-2.0/digits/digits/config/caffe_option.py", line 232, in apply import caffe File "/mnt/yarin/digits/digits-2.0/caffe/python/caffe/init.py", line 1, in from .pycaffe import Net, SGDSolver File "/mnt/yarin/digits/digits-2.0/caffe/python/caffe/pycaffe.py", line 14, in import caffe.io File "/mnt/yarin/digits/digits-2.0/caffe/python/caffe/io.py", line 2, in import skimage.io File "/usr/local/lib/python2.7/dist-packages/skimage/io/init.py", line 15, in reset_plugins() File "/usr/local/lib/python2.7/dist-packages/skimage/io/manage_plugins.py", line 89, in reset_plugins _load_preferred_plugins() File "/usr/local/lib/python2.7/dist-packages/skimage/io/manage_plugins.py", line 69, in _load_preferred_plugins _set_plugin(p_type, preferred_plugins['all']) File "/usr/local/lib/python2.7/dist-packages/skimage/io/manage_plugins.py", line 81, in _set_plugin use_plugin(plugin, kind=plugin_type) File "/usr/local/lib/python2.7/dist-packages/skimage/io/manage_plugins.py", line 251, in use_plugin _load(name) File "/usr/local/lib/python2.7/dist-packages/skimage/io/manage_plugins.py", line 295, in _load fromlist=[modname]) File "/usr/local/lib/python2.7/dist-packages/skimage/io/_plugins/matplotlib_plugin.py", line 4, in import matplotlib.pyplot as plt File "/usr/local/lib/python2.7/dist-packages/matplotlib/pyplot.py", line 109, in _backend_mod, new_figure_manager, draw_if_interactive, _show = pylab_setup() File "/usr/local/lib/python2.7/dist-packages/matplotlib/backends/init.py", line 32, in pylab_setup globals(),locals(),[backend_name],0) File "/usr/local/lib/python2.7/dist-packages/matplotlib/backends/backend_gtk3agg.py", line 11, in from . import backend_gtk3 File "/usr/local/lib/python2.7/dist-packages/matplotlib/backends/backend_gtk3.py", line 55, in cursors.MOVE : Gdk.Cursor.new(Gdk.CursorType.FLEUR), TypeError: constructor returned NULL

How can I fix this error?

1

My approach is less than ideal but it works.

Edit: {caffe_root}/python/caffe/__init__.py

Add the following lines to the top:

import matplotlib
matplotlib.use('Agg')

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.